Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class WizEdit

    java.lang.Object
      com.sun.interview.WizEdit

    public class WizEdit

extends java.lang.Object

An API (with a basic front-end application) for batch editing an interview.

Nested Class Summary
`static class` | `WizEdit.BadArgs` This exception is used to indicate a problem with the command line arguments.
`static class` | `WizEdit.Fault` This exception is to report problems that occur while editing the responses to questions in an interview.

Constructor Summary
`WizEdit(Interview interview)` Create an editor for the questions in an interview.

Method Summary
`void` | `edit(java.lang.String cmd)` Apply an edit to the set of responses in an interview.
`void` | `edit(java.lang.String[] cmds)` Apply a series of edits to the set of responses in an interview.
`static void` | `main(java.lang.String[] args)` Simple command-line front-end to the facilities of the API.
`void` | `setVerbose(boolean verbose)` Set whether or not the edit should be done verbosely.
`void` | `setVerbose(boolean verbose, java.io.PrintStream out)` Set whether or not the edit should be done verbosely, and set the stream to which tracingn information should be output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WizEdit

    public WizEdit(Interview interview)

  Create an editor for the questions in an interview.

  Parameters:
    `interview` - The interview containing the responses to be edited.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Simple command-line front-end to the facilities of the API.

  Parameters:
    `args` - Command line arguments.

### setVerbose

    public void setVerbose(boolean verbose)

  Set whether or not the edit should be done verbosely.

  Parameters:
    `verbose` - Set to true for verbose mode, and false otherwise.
  See Also:
    `setVerbose(boolean, PrintStream)`

### setVerbose

    public void setVerbose(boolean verbose,
                           java.io.PrintStream out)

  Set whether or not the edit should be done verbosely, and set the stream to which tracingn information should be output.

  Parameters:
    `verbose` - Set to true for verbose mode, and false otherwise.
    `out` - The stream to which verbose output should be directed.

### edit

    public void edit(java.lang.String[] cmds)
              throws WizEdit.Fault

  Apply a series of edits to the set of responses in an interview. The edits are applied one at a time, and as each edit is applied, the set of questions in the current interview path may change: specifically, the set of questions after the one that is edited may change.

  Parameters:
    `cmds` - A set of editing commands to apply to the responses.
  Throws:
    `WizEdit.Fault` - if there is a problem while applying the edits.
  See Also:
    `edit(String)`

### edit

    public void edit(java.lang.String cmd)
              throws WizEdit.Fault

  Apply an edit to the set of responses in an interview. After the edit is applied, the set of questions in the cuurent interview path may change: specifically, the set of questions after the one that is edited may change.

  Parameters:
    `cmd` - An edit command to apply to the responses.
  Throws:
    `WizEdit.Fault` - if there is a problem while applying the edit.
  See Also:
    `edit(String[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.